org.apache.lucene.analysis.synonym

## Class WordnetSynonymParser

- java.lang.Object
- - org.apache.lucene.analysis.synonym.SynonymMap.Builder
  - - org.apache.lucene.analysis.synonym.WordnetSynonymParser

    public class WordnetSynonymParser
    extends SynonymMap.Builder

Parser for wordnet prolog format

See http://wordnet.princeton.edu/man/prologdb.5WN.html for a description of the format.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`WordnetSynonymParser(boolean dedup, boolean expand, Analyzer analyzer)`

### Method Summary

Methods
`void` `add(Reader in)`

### Methods inherited from class org.apache.lucene.analysis.synonym.SynonymMap.Builder

`add, analyze, build, join`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WordnetSynonymParser

    public WordnetSynonymParser(boolean dedup,
                        boolean expand,
                        Analyzer analyzer)

### Method Detail

#### add

    public void add(Reader in)
             throws IOException,
                    ParseException

Throws:
  `IOException`
  `ParseException`